> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/wearables.md).

# Wearables

Wearables são os [entidades](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md) que contêm itens para os jogadores usarem e personalizarem seus avatares.

O `wearables` campo de um jogador [perfil](https://github.com/decentraland/docs/tree/main/contributor/entity-types/profiles/README.md) contém uma lista de ponteiros para os itens que eles estão a usar atualmente.

Cada wearable pertence a uma *categoria*, indicando o lugar que ocupa no corpo do avatar, e pode ocultar ou substituir outras categorias (por exemplo, um vestido longo pode ser usado como roupa superior, mas cobrir completamente as pernas).

Existem 18 categorias de wearable, referenciadas em vários campos de metadata: `body_shape`, `hair`, `eyes`, `eyebrows`, `facial_hair`, `mouth`, `upper_body`, `lower_body`, `feet`, `hat`, `helmet`, `mask`, `tiara`, `top_head`, `earring`, `eyewear`, `skin` e `hands_wear`.

As entities de Wearable incluem arquivos no formato GLB para diferentes body shapes.

### Ponteiros <a href="#pointers" id="pointers"></a>

Wearables têm exatamente um [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md), que indica a [collection](https://github.com/decentraland/docs/tree/main/contributor/entity-types/collections/README.md) coleção a que pertencem e o respetivo identificador dentro dela.

Quando o wearable é um ativo on-chain, o pointer é um URN desta forma:

```
urn:decentraland:<blockchain>:collections-v2:<collection address>:<item index>
```

Para ilustrar, o `ponteiros` array para um wearable on-chain tem o seguinte aspeto:

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... outras propriedades da entidade
}
```

Quando o wearable é um ativo off-chain, como os wearables padrão para novos avatares, ele terá esta forma:

```
urn:decentraland:off-chain:<collection>:<item name>
```

A coleção, neste caso, é um nome, não um endereço, e o identificador do item também é um nome em vez de um índice.

O `ponteiros` array para um wearable off-chain tem o seguinte aspeto:

```json
{
  "pointers": [
    "urn:decentraland:off-chain:base-avatars:BaseFemale"
  ],
  // ... outras propriedades da entidade
}
```

### Campos de Metadata

Wearables partilham a maioria dos seus campos básicos com [emotes](https://github.com/decentraland/docs/tree/main/contributor/entity-types/emotes/README.md). A `data` propriedade é onde fica a informação específica do wearable.

| Campo               | Valor                                                                                                                                               |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                | O [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) que aponta (ou apontava) para este wearable.             |
| `name`              | O título exibido deste wearable num [collection](https://github.com/decentraland/docs/tree/main/contributor/collections/README.md).                 |
| `description`       | Uma descrição estendida para este wearable.                                                                                                         |
| `imagem`            | O [nome interno do arquivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) de uma imagem para este wearable.  |
| `miniatura`         | O [nome interno do arquivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) de uma versão 256x256 do `imagem`. |
| `rarity`            | Um de `common`, `uncommon`, `rare`, `epic`, `legendary`, `exotic`, `mythic` ou `unique`.                                                            |
| `i18n`              | Um array de traduções para o `name` campo.                                                                                                          |
| `collectionAddress` | O endereço Ethereum da coleção que contém este wearable.                                                                                            |
| `metrics`           | Algumas medidas úteis sobre as animações (ver abaixo).                                                                                              |
| `data`              | Os metadados estendidos para este wearable (ver abaixo).                                                                                            |

Na forma JSON típica:

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x11a6879861f36cbad632b4e7226816a16139fb33:0",
  "name": "Vestido Bonito",
  "description": "Muito agradável de usar",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "uncommon",
  "i18n": [
    { "code": "es", "text": "Vestido Bonito" }
  ],
  "collectionAddress": "0x11a6879861f36cbad632b4e7226816a16139fb33",
  "metrics": {
    // Objeto de medidas (ver abaixo).
  },
  "data": {
    // Metadados estendidos (ver abaixo).
  }
}
```

### Métricas

Na `metadata.metrics` object, você encontrará algumas medidas simples para os modelos incluídos com este wearable. Um exemplo:

```json
{
  "entities": 1,
  "bodies": 12,
  "materials": 2,
  "meshes": 12,
  "textures": 2,
  "triangles": 3321
}
```

### Dados

O `metadata.data` object é onde ficam localizadas as propriedades específicas do wearable.

| Campo             | Valor                                                                  |
| ----------------- | ---------------------------------------------------------------------- |
| `categoria`       | Uma das categorias de wearable listadas acima.                         |
| `representations` | Um array de arquivos associados a diferentes body shapes (ver abaixo). |
| `oculta`          | Um array de categorias que este wearable oculta.                       |
| `substitui`       | Um array de categorias que este wearable substitui completamente.      |
| `tags`            | Um array de rótulos de string descritivos deste wearable.              |

#### Representações

Cada item no array representations associa uma body shape a uma coleção de modelos e pode adicionar regras sobre quais wearables são exibidos em cada categoria.

| Campo              | Valor                                                                                                                                                                                                    |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `bodyShapes`       | Um array de [ponteiros](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) para entities de body shape.                                                                      |
| `mainFile`         | O arquivo do modelo 3D para iniciar a renderização.                                                                                                                                                      |
| `contents`         | Um array de nomes de ficheiros (presentes no field de nível superior [`content` field](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#properties)) usado pelo `mainFile`. |
| `overrideHides`    | Substitui a `oculta` lista acima para esta representação.                                                                                                                                                |
| `overrideReplaces` | Substitui a `substitui` lista acima para esta representação.                                                                                                                                             |

Este é um `representations` item:

```json
{
  "bodyShapes": [
      "urn:decentraland:off-chain:base-avatars:BaseFemale"
  ],
  "mainFile": "male/190.glb",
  "contents": [
      "male/190.glb"
  ],
  "overrideHides": [ "lower_body" ],
  "overrideReplaces": []
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/wearables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
